List load balancers
curl --request GET \
--url https://api.example.com/api/v2/loadbalancers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v2/loadbalancers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v2/loadbalancers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"metadata": {
"id": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
"name": "web-lb",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2024-05-31T14:11:00Z",
"createdBy": "john.doe@acme.com",
"provisioningStatus": "pending",
"healthStatus": "healthy"
},
"spec": {
"publicIP": true,
"listeners": [
{
"name": "http",
"protocol": "tcp",
"port": 80,
"allowedCidrs": [
"0.0.0.0/0"
],
"idleTimeoutSeconds": 30,
"pool": {
"proxyProtocolV2": false,
"members": [
{
"address": "10.0.0.10",
"port": 8080
}
],
"healthCheck": {
"intervalSeconds": 10,
"timeoutSeconds": 5,
"healthyThreshold": 2,
"unhealthyThreshold": 2
}
}
}
]
},
"status": {
"regionId": "d891dbf0-0a01-4efc-ae3a-5d77f6d3424b",
"networkId": "61f0ad85-3001-41cb-824a-e6a047668dfe",
"vipAddress": "192.168.10.20",
"publicIP": "203.0.113.10"
}
}
]{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Load balancers
List load balancers
List load balancers.
GET
/
api
/
v2
/
loadbalancers
List load balancers
Authorizations
Operation requires OAuth 2.0 bearer token authentication.
Query Parameters
A set of tags to match against resources in the form "name=value", thus when encoded you get "?tag=foo%3Dcat&tag=bar%3Ddog".
Allows resources to be filtered by organization.
Allows resources to be filtered by project.
Allows resources to be filtered by region.
Allows resources to be filtered by network.
Was this page helpful?
⌘I